OuiPay
API ReferenceExchange

Create a quote

POST /v1/exchange/quotes : lock an exchange rate for a short window.

POST /v1/exchange/quotes

Headers

HeaderRequiredValue
AuthorizationyesBearer sk_...
Content-Typeyesapplication/json

Body

FieldTypeRequiredNotes
from_currencystringyesISO 4217 source currency
to_currencystringyesISO 4217 target currency
from_amount_minorintyesAmount in source minor units

Request

curl https://api.ouipay.com/v1/exchange/quotes \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
    "from_currency": "NGN",
    "to_currency": "GHS",
    "from_amount_minor": 500000
  }'

Response 201

Returns the quote object with expires_at. Execute before expiry; rates move.

Errors

HTTPerror.codeCause
400VALIDATIONInvalid field or unsupported pair

On this page